Meteor.subscribe("articles");

Template.articles.articles = function() {
  return Articles.find({}, {sort: {date: -1}});
}

Template.articles.helpers({
  formatDate: function(date) {
    return moment(date).format("lll");  
  }
});

Template.articles.events({
  'click': function() {
    var doc = Articles.findOne({_id: this._id});
    doc?load(doc._id, doc.title, doc.text):load();
    if (this._id)
      nav();
  }
});

Template.editor.events({
  'click #save': function() {
    error();
    Meteor.call('upsert', val('id'), val('title'), val('text'), function(e) {
      error(e.message);
      nav();
    });
    nav(1);
  },
  'click #remove': function() {
    Articles.remove(val('id'));
    nav(1);
  }
});

Template.nav.events({
  'click #show': function() {nav(1);},
  'click #add': function() {load("", "", ""); nav();}
});

function val(id, v) {
  var ele = $('#'+id);
  if (ele) {
    return (v!==undefined)?ele.val(v):ele.val();
  }
}

function error(msg) {
  $('#error').text(msg?"Fehler: "+msg:"");
}

function nav(int) {
  $('#articles').css('display', (int===1)?'block':'none');
  $('#editor').css('display', (int===1)?'none':'block');
}

function load(id, title, text) {
  error();
  val('id', id?id:"");
  val('title', title?title:"");
  val('text', text?text:"");
}
