Articles = new Meteor.Collection("articles");

Articles.allow({
  remove: function(userId, doc) {
    return doc.owner === userId;
  }
});

Meteor.methods({
  upsert: function(id, title, text) {
    if (!this.userId)
      throw new Meteor.Error(403, 'Bitter erst anmelden');
    var now = new Date();
    var email = Meteor.user().emails[0].address
    var doc = {owner: this.userId, title: title, text: text, date: now, email: email};
    if (id) {
      if (Articles.update({_id: id, owner: this.userId}, {$set: doc}) < 1)
         throw new Meteor.Error(404, 'Zugriff nicht erlaubt');
    } else {
      Articles.insert(doc);
    }
  }	
});